
package Vista;

import GenaracionNumeros.NumerosRectangulares;
import auxiliares.ModVentana;

import java.util.ArrayList;

import javax.swing.JOptionPane;
import javax.swing.JPanel;


import javax.swing.UIManager;

import vista.gui;



public class Ventana_P extends javax.swing.JFrame {

  
    JPanelGenerador jPanelGenerador;
    
    JPanelPrueba_Est jPanelPrueba_Est;
    

    ArrayList<Float> numeros;
    gui ejercicio13;
    /** Creates new form Ventana_P */


    
    public Ventana_P() {

         try
        {
          UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch (Exception e)
        {
          e.printStackTrace();
        }

   
        jPanelGenerador = new JPanelGenerador();
        jPanelPrueba_Est = new JPanelPrueba_Est();
    
        

        numeros = new ArrayList<Float>();
        initComponents();
        this.setSize(800, 700);
        this.setResizable(false);
        NumerosRectangulares n = new NumerosRectangulares();
        
        ModVentana.centrar(this);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuBar2 = new javax.swing.JMenuBar();
        jMenu3 = new javax.swing.JMenu();
        jMenu4 = new javax.swing.JMenu();
        jScrollPane1 = new javax.swing.JScrollPane();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenuGenerador = new javax.swing.JMenu();
        jMenuNum_A = new javax.swing.JMenuItem();
        jMenu1 = new javax.swing.JMenu();
        jMenuItemPruebas = new javax.swing.JMenuItem();

        jMenu3.setText("File");
        jMenuBar2.add(jMenu3);

        jMenu4.setText("Edit");
        jMenuBar2.add(jMenu4);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jScrollPane1.setBackground(new java.awt.Color(204, 255, 255));
        jScrollPane1.setBorder(new javax.swing.border.MatteBorder(null));
        jScrollPane1.setForeground(new java.awt.Color(204, 255, 204));
        getContentPane().add(jScrollPane1, java.awt.BorderLayout.CENTER);

        jMenuBar1.setBackground(new java.awt.Color(153, 255, 255));

        jMenuGenerador.setText("Generador");

        jMenuNum_A.setText("Numeros Aleatorios");
        jMenuNum_A.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuNum_AActionPerformed(evt);
            }
        });
        jMenuGenerador.add(jMenuNum_A);

        jMenuBar1.add(jMenuGenerador);

        jMenu1.setText("Pruebas");

        jMenuItemPruebas.setText("Estadisticas");
        jMenuItemPruebas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemPruebasActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemPruebas);

        jMenuBar1.add(jMenu1);

        setJMenuBar(jMenuBar1);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuNum_AActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuNum_AActionPerformed
        setPanel(jPanelGenerador);
        jPanelGenerador.setNumeros(numeros);
    }//GEN-LAST:event_jMenuNum_AActionPerformed

    private void jMenuItemPruebasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemPruebasActionPerformed
        if(!numeros.isEmpty()){
            
            jPanelPrueba_Est.setNumeros(numeros);
            jPanelPrueba_Est.llenarLista();
            setPanel(jPanelPrueba_Est);
        }else
            JOptionPane.showMessageDialog(this, "Debe generar Primero los numeros aleatorios");
    }//GEN-LAST:event_jMenuItemPruebasActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Ventana_P().setVisible(true);
            }
        });
    }

    private void setPanel(JPanel panel){
        jScrollPane1.setViewportView(panel);
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenu jMenu4;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuBar jMenuBar2;
    private javax.swing.JMenu jMenuGenerador;
    private javax.swing.JMenuItem jMenuItemPruebas;
    private javax.swing.JMenuItem jMenuNum_A;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables

}
